# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['py_image_uploader']

package_data = \
{'': ['*']}

install_requires = \
['pillow>=9.1.1,<10.0.0',
 'pyperclip>=1.8.2,<2.0.0',
 'python-dotenv>=0.20.0,<0.21.0',
 'requests>=2.25.1,<3.0.0']

entry_points = \
{'console_scripts': ['py-image-uploader = py_image_uploader.cli:main']}

setup_kwargs = {
    'name': 'py-image-uploader',
    'version': '0.1.2a0',
    'description': 'Upload images via APIs',
    'long_description': "# py-image-uploader\n\n> Upload images via APIs\n\n[![PyPI version](https://img.shields.io/pypi/v/py-image-uploader)](https://pypi.org/project/py-image-uploader)\n[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)\n\n## Hostings\n\n- Works out of the box:\n\n  - fastpic\n  - geekpic\n  - pixhost\n\n- Key required:\n\n  - freeimage\n  - imageban\n  - imageshack\n  - imgbb\n  - imgur\n\n## Installation\n\n```sh\npip install py-image-uploader\n```\n\n## .env variables\n\nDon't forget to specify [env variables](.env.sample).\n",
    'author': 'DeadNews',
    'author_email': 'uhjnnn@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/DeadNews/py-image-uploader',
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
